# Functor DGraphModel.Make

    module Make: functor (G : Graph.Graphviz.GraphWithDotAttrs) -> sig .. end

This functor creates a model from a graph

Parameters:

`G` | : | `Graph.Graphviz.GraphWithDotAttrs`

    type cluster = string

    class model : XDot.Make(G).graph_layout -> G.t -> [[G.V.t, G.E.t, cluster]] DGraphModel.abstract_model

    val from_graph : ?cmd:string -> ?tmp_name:string -> G.t -> model

Creates a model using graphviz. `tmp_name` is the name of the temporary dot files.
Raises `DotError` if issue occurs with the generated dot file